Bug 21470 - CVE-2000-1137 ed uses mktemp + fopen for scratch files
Summary: CVE-2000-1137 ed uses mktemp + fopen for scratch files
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: ed   
(Show other bugs)
Version: 6.2
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Karsten Hopp
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords: Security
: 223072 223076 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-11-29 08:15 UTC by Jarno Huuskonen
Modified: 2007-04-18 16:30 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-11-29 15:22:52 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2000:123 normal SHIPPED_LIVE : New ed packages available 2000-12-06 05:00:00 UTC

Description Jarno Huuskonen 2000-11-29 08:15:50 UTC
Noticed from www.linuxtoday.com that debian has fixed ed.

Ed uses mktemp+fopen (buf.c:209) to create a temporary file.

Fix would be to use mkstemp+fdopen.

Comment 1 Josh Bressers 2007-01-23 19:14:43 UTC
*** Bug 223072 has been marked as a duplicate of this bug. ***

Comment 2 Josh Bressers 2007-01-23 19:27:09 UTC
*** Bug 223076 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.